Announcement

Collapse
No announcement yet.

build-nodejs not working with current arch

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • build-nodejs not working with current arch

    Arch recently updated python to 3.10 which does not work with the build-nodejs test out of the box. Manually executing the build-nodejs script shows:
    Code:
    ../.phoronix-test-suite/installed-tests/pts/build-nodejs-1.0.0/node-v15.11.0/./configure:21: DeprecationWarning: The distutils package is deprecated and slated for removal in Python 3.12. Use setuptools or check PEP 632 for potential alternatives
    from distutils.spawn import find_executable
    Node.js configure: Found Python 3.10.1...
    Please use python3.9 or python3.8 or python3.7 or python3.6 or python3.5 or python2.7.
    /usr/bin/python2.7 ./configure

  • #2
    If you run `phoronix-test-suite openbenchmarking-refresh` and re-install the benchmark it will fetch new build-nodejs version. Looks like newer node.js version has Python 3.10 support.
    Michael Larabel
    http://www.michaellarabel.com/

    Comment

    Working...
    X